UI.HSCurses.CursesHelper

# UI initialisation

start

end

suspend

resizeui

# Input

getKey

# Drawing

drawLine

drawCursor

# Navigation

gotoTop

# Colors

data ForegroundColor

data BackgroundColor

defaultColor

black

red

green

yellow

blue

magenta

cyan

white

# Attributes

data Attribute

convertAttributes

# Style

data Style

data CursesStyle

mkCursesStyle

changeCursesStyle

setStyle

wSetStyle

resetStyle

wResetStyle

convertStyles

defaultStyle

defaultCursesStyle

withStyle

wWithStyle

# Keys

displayKey

# Helpers

withCursor

withProgram